libzypp 17.37.10

zyppng::internal::lock_shared< T_functor, Lockers > Struct Template Reference

`#include <zypp-core/zyppng/base/signals.h>`

Inheritance diagram for zyppng::internal::lock_shared< T_functor, Lockers >:

## Public Member Functions
template<typename... Args>
decltype(auto) | operator() (Args &&... args) const
| lock_shared (const T_functor &functor, const Lockers &... lcks)

## Public Attributes
std::tuple< sigc::const_limit_reference< Lockers >... > | _lcks

## Detailed Description

template<typename T_functor, typename ... Lockers>
struct zyppng::internal::lock_shared< T_functor, Lockers >

Adaptor that locks and tracks the given objects, this implements locking of the receiver object in a signal chain.

Definition at line 274 of file signals.h.

## Constructor & Destructor Documentation

## ◆ lock_shared()

template<typename T_functor, typename ... Lockers>

zyppng::internal::lock_shared< T_functor, Lockers >::lock_shared | ( | const T_functor & | functor,
|  | const Lockers &... | lcks )
| inline explicit

Definition at line 307 of file signals.h.

## Member Function Documentation

## ◆ operator()()

template<typename T_functor, typename ... Lockers>
template<typename... Args>

decltype(auto) zyppng::internal::lock_shared< T_functor, Lockers >::operator() | ( | Args &&... | args | ) | const
| inline

Definition at line 277 of file signals.h.

## Member Data Documentation

## ◆ _lcks

template<typename T_functor, typename ... Lockers>

std::tuple<sigc::const_limit_reference<Lockers>...> zyppng::internal::lock_shared< T_functor, Lockers >::_lcks

Definition at line 312 of file signals.h.

The documentation for this struct was generated from the following file:

- zypp-core/zyppng/base/signals.h